//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace eCommerce.Services.Model
{
    using System;
    using System.Collections.Generic;
    
    public partial class Lookbook
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public Lookbook()
        {
            this.LookbookProducts = new HashSet<LookbookProduct>();
        }
    
        public int LookbookId { get; set; }
        public string Name { get; set; }
        public string Image { get; set; }
        public Nullable<System.DateTime> Deleted { get; set; }
        public string DeletedBy { get; set; }
        public Nullable<int> LookbookGroupId { get; set; }
        public Nullable<int> DisplayOrder { get; set; }
        public Nullable<int> ImageSize { get; set; }
    
        public virtual LookbookGroup LookbookGroup { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<LookbookProduct> LookbookProducts { get; set; }
    }
}
